# getSpec

Returns the spec string of type.

            const char* getSpec
            void

## Description

This method returns the specification string of type. This is a c-string with some properties about the type. At the moment this is just the identifier of the type. It is neccessary that this id string is unique cause the type checking in the engine is based on this property.

For a type called IntType the c-string would look like this:

      "typ_spec { name=typ_IntType; }"

<SPECSTRING> := typ_spec { (<ATTRIBUTENAME>=<ATTRIBUTEVALUE>)+ }

The name attribute is the only type property used in this version of the api.

## Return Value

The method returns the specification data encoded as a zero terminated string. The pointer to this string is valid till calling shutDown.